      program main
      implicit real*8 (a-h,o-z)
      integer i
      double precision x, y, xt, yt, xn, yn, h, zero
      zero = 0.0d0
      x = 1.0d0
      y = 0.0d0
      h = 0.05d0
      write(6,*) zero, x, y
      do i=1, 400
         xt = x + (x - 2.0d0 * y) * h
         yt = y + (x - y) * h
         xn = x + ((x - 2.0d0 * y) + (xt - 2.0d0 * yt)) * 0.5d0 * h
         yn = y + ((x - y) + (xt - yt)) * 0.5d0 * h
         write(6,*) dble(i)*h, xn, yn
         x = xn
         y = yn
      end do
      stop
      end